use crate::{Context, Error};

mod all;
mod cmore;
mod eurosport;
mod f1;
mod nfl;
mod viaplay;
mod wrc;

#[derive(Debug, poise::ChoiceParameter)]
pub enum Timeframe {
    #[name = "Currently happening"]
    Current,
    #[name = "Currently happening or starting in the future"]
    Future,
    #[name = "Currently happening or already ended"]
    Past,
    #[name = "Everything"]
    Everything,
}

#[poise::command(
    slash_command,
    subcommands(
        "viaplay::viaplay",
        "viaplay::viaplay_schedule",
        "eurosport::eurosport",
        "wrc::wrc",
        "f1::f1",
        "nfl::nfl",
        "cmore::cmore",
        "all::all"
    ),
    ephemeral
)]
pub async fn links(ctx: Context<'_>) -> Result<(), Error> {
    ctx.say("Hello there!").await?;
    Ok(())
}
